Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How change system shortcut select previous "p"?

12 REPLIES 12
Reply
Message 1 of 13
kht5601
564 Views, 12 Replies

How change system shortcut select previous "p"?

previous p.JPG

 

How change "p" to "a"

 

 

 

12 REPLIES 12
Message 2 of 13
hericson
in reply to: kht5601

I don't think that's possible.

Message 3 of 13
ВeekeeCZ
in reply to: kht5601

You can assign "p" to shortcut such as crtl+a, shifr+ctrl+a or alt+ctrl+a... or to F* key.

Also can be assigned to a mouse button or some gesture (as I have it)...

 

Why are you wanting to change that to 'a'... just because it's on the left side?

Message 4 of 13
kht5601
in reply to: ВeekeeCZ

yes just p right side. my hand tired. how change p to a

Message 5 of 13
pendean
in reply to: kht5601

You cannot.

Create a LISP instead that triggers both ERASE + P if this is something you do all the time. Repeat with other LISPs with commands+P that you need often.

Message 6 of 13
ВeekeeCZ
in reply to: kht5601

As being told, you cannot.

 

The closest solution to what you want is to use this LISP. But you have to use it BEFORE you run a command! If you're already in the command, you need to use that with an apostrophe 'a, which is not that comfortable.

 

(defun c:A nil (sssetfirst nil (ssget "_P")) (princ))

Look HERE if you don't know how to use a LISP. 

 

Message 7 of 13
dbroad
in reply to: ВeekeeCZ

@ВeekeeCZ , isn't that like "solution" like shooting yourself in the foot?  It removes the A shortcut for arc. A similar two character command might work (aa, sa, as,...)

@kht5601, you should learn about all of the selection shortcuts before eliminating a very important one, such as "Add". Rest your hand periodically or consider mocoro.

Selection options include picking a point and the following:
Window/Last/Crossing/BOX/ALL/Fence/WPolygon/CPolygon/Group/Add/Remove/Multiple/Previous/Undo/AUto/SIngle/SUbobject/Object

 

 

 

Architect, Registered NC, VA, SC, & GA.
Message 8 of 13
ВeekeeCZ
in reply to: dbroad

@dbroad  Yes, that was good to mention. But it's up to the OP considering his workflow whether 'a' better fits for this tool or that one. It was just a suggestion....... eg. I never use an alias for drawing tools. Never.

Message 9 of 13
dbroad
in reply to: ВeekeeCZ

Interesting.  I aliased all of them, adding functionality to most of them,  and was selling them via Cadalyst before AutoCAD came out with their ACAD.PGP concept. I still use most of them because they add various functionalities, including several named selection sets for objects just created.

Architect, Registered NC, VA, SC, & GA.
Message 10 of 13
ВeekeeCZ
in reply to: dbroad

Didn't know this kind of history. Thanks for the insight!

 

Just to clarity myself. What I've meat by 'drawing tools' were line, arc.. polyline... basically the most left 'creation' panel of ribbon. I never found useful to use L for Line. Always use the ribbon for this. Then RT for repetition.

 

But the MODIFY panel is the total opposite. Basically all the modify tools I run from keyboard. And all the useful subfunctions... typically (defun c:D () (command "lengthen" "dynamic")) I love them. 

So if we are talking about 'A', that's my Fillet. R is fillet with direct Radius setting. And so on. So I agree with you that this kind of concept is very useful...

 

Message 11 of 13
dbroad
in reply to: ВeekeeCZ

Autodesk ended up by creating aliases very close to what I'd done with my Keymacs with few exceptions such as using AA for area and other double hit characters to avoid the need to use two hands for commands. D is my dimstyle command. R is my redraw command. F is my fillet command. FF is my chamfer command (rather than CH), since CH was used for change, now for properties.

1 and 2 letter keyin commands beat the ribbon every time, being about twice as fast, regardless of whether they are drawing, modify, annotation, or 3d variations.

Architect, Registered NC, VA, SC, & GA.
Message 12 of 13
ВeekeeCZ
in reply to: dbroad

And how did you define those shortcuts at your keymacs. Was it simple lisp or.... guess that vlax-add-cmd was not available at the time... actually, what time are we talking about?

Message 13 of 13
dbroad
in reply to: ВeekeeCZ

It was far before activeX, initially around 1993. The initial structure was to provide single line substitutions that initially engaged the screen menu system and did other housekeeping tasks. The idea was to make key-in as fast as possible. Those who wanted to use the screen menu could continue to benefit by menu integration.

Example: (defun c:, () ($mz "change"))  where $mz did the "_." prefixing, housekeeping, manipulated the UI, ran the command and exited quietly.  The $mz program could also accept command sequences as lists. This eliminated the need for complex macros.

Custom commands that were larger were implemented as autoloading commands before Autodesk had an autoloader. 

The keymacs continue to evolve as I develop each new custom command making each of my commands act similar to native commands. VL[A[X]] command have made their way in along with command versioning.

Architect, Registered NC, VA, SC, & GA.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Customer Advisory Groups


Autodesk Design & Make Report